Page MenuHomePhabricator

[Bug] Tapping the 'Done' button on search inside should minimize keyboard, not close search inside.
Closed, ResolvedPublic

Description

Steps to reproduce:

  1. Tap on 'Search inside' on article toolbar
  2. Enter text
  3. Tap on blue 'Done' button on keyboard
  4. Search inside is closed

Expected results
On step 4 (above) keyboard should be minimized, but search inside should not be closed/dismissed.

Before tapping the 'Done' (to be re-labeled 'Search') buttonKeyboard minimized after tapping the 'Done' (to be re-labeled 'Search') button

Event Timeline

cmadeo created this task.Feb 18 2017, 12:11 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 18 2017, 12:11 AM
Mhurd added a subscriber: Mhurd.Feb 18 2017, 1:03 AM
Mhurd added a comment.EditedFeb 18 2017, 1:25 AM

Quick notes:

  • Could we use a screenshot from the app instead of event bright? Not to be pedantic but the reason I ask is the event bright screenshots hide the little "x" clear button when the search bar is in the minimized state, which was talked about on here https://phabricator.wikimedia.org/T143024#2554992
  • Switching the keyboard button to "Search" should be fine because "Search" is one of the canned keyboard return button types we can choose from (Apple provides a limited localized set to choose from and we'd rather not deal with custom keyboard complexity).
  • I recommend against switching the "X" button to say "Done" for localization length reasons (which is why the compact "X" was chosen). Examples of longer translations of "Done" - yiddish: "ערליידיקט", telugu: "పూర్తయ్యింది", pashto: "ترسره شو", zaza: "Temamiya", turkish: "Tamamlandı" etc...
  • Unless I'm missing something, if we implement this ticket as described, "Tapping the 'Done' button on search inside should minimize keyboard, not close search inside.", there will be no way to hide search interface once it appears. i.e. the "Done" button will minimize, the keyboard "Search" button will search, but how can the user make the search interface completely go away? Presently the "X" button and they keyboard "Done" button completely hide the search interface.
cmadeo updated the task description. (Show Details)Feb 18 2017, 1:56 AM

@Mhurd updated the screen shots! Sorry about the confusion.

Mhurd added a comment.Feb 18 2017, 2:02 AM

Looks good thx!

JMinor triaged this task as Low priority.Feb 24 2017, 10:44 PM
JMinor moved this task from Needs Triage to Bug Backlog on the Wikipedia-iOS-App-Backlog board.
julbod claimed this task.Feb 25 2017, 4:46 AM

@Mhurd @cmadeo Does the "Search" button (Actual "Done" button) has to be disabled when the textfield is empty?

Mhurd added a comment.Feb 25 2017, 4:51 AM

@Mhurd @cmadeo Does the "Search" button (Actual "Done" button) has to be disabled when the textfield is empty?

Hmm I don't recall if the keyboard done button lets you set it to a disabled state. I'll have to check.

@Mhurd @cmadeo Does the "Search" button (Actual "Done" button) has to be disabled when the textfield is empty?

Hmm I don't recall if the keyboard done button lets you set it to a disabled state. I'll have to check.

There is the option "Auto-enable Return Key" in storyboard to do this.

Mhurd added a comment.Feb 25 2017, 4:55 AM

Oh that's right!

Mhurd added a comment.Feb 25 2017, 5:01 AM

I think Auto-enable Return Key sounds good :)

Testing on iPhone 6S (iOS 10.2.1) and Wikipedia 5.4.0 (1081).

According to these screencaps not only do steps 1 to 4 work as expected, it is possible to keep searching the listed term with the chevrons ∧ and ∨ or type a new term to start a new search:

julbod removed julbod as the assignee of this task.Mar 3 2017, 2:59 AM
julbod added a subscriber: julbod.
JMinor closed this task as Resolved.Mar 6 2017, 10:14 PM
JMinor claimed this task.
JMinor added a subscriber: JMinor.

Thanks @julbod!!